SDL_EventWatcher Struct Reference
Collaboration diagram for SDL_EventWatcher:
[legend]

## Data Fields

SDL_EventFilter | callback
void * | userdata
struct SDL_EventWatcher * | next

## Detailed Description

Definition at line 43 of file SDL_events.c.

## Field Documentation

SDL_EventFilter SDL_EventWatcher::callback

Definition at line 44 of file SDL_events.c.

Referenced by SDL_AddEventWatch(), and SDL_PushEvent().

struct SDL_EventWatcher* SDL_EventWatcher::next

Definition at line 46 of file SDL_events.c.

Referenced by SDL_AddEventWatch(), SDL_DelEventWatch(), SDL_FilterEvents(), SDL_FlushEvents(), SDL_PeepEvents(), SDL_PushEvent(), and SDL_StopEventLoop().

void* SDL_EventWatcher::userdata

Definition at line 45 of file SDL_events.c.

Referenced by SDL_AddEventWatch(), SDL_PushEvent(), and SDL_SetEventFilter().

The documentation for this struct was generated from the following file:

- src/events/SDL_events.c